Skip to content

DELETE Travel reimbursement

This API call deletes a Travel reimbursement.

Location

/api/v1/office/travel-reimburse/

Permissions required

office-travel-reimburse RW

Body parameters

Parameter Type Required Description
reimburse_uuid uuid yes Unique id of the Travel reimburse

Example Body (json)

{
        "reimburse_uuid": "e0a60eba-52f6-11f1-8bcc-bc2411125ba4",
}

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/office/travel-reimburse/',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => $json_payload,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json',
        'X-HTTP-Method-Override: DELETE'
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

"Travel reimburse removed."

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.